Update a Knowledge Base Entry
- Base URL
-
https://{kibana_url}
- PUT /api/security_ai_assistant/knowledge_base/entries/{id}
Update an existing Knowledge Base Entry by its unique id.
Authentication
Authorization: <value>
These APIs use key-based authentication. You must create an API key and use the encoded value in the request header. For example: Authorization: ApiKey base64AccessApiKey
Authorization: Basic <credentials>
Request body
type: document
type: index
-
usersobject[] -
Users who have access to the Knowledge Base Entry, defaults to current user. Empty array provides access to all users.
-
descriptionstringrequired -
Description for when this index or data stream should be queried for Knowledge Base content. Passed to the LLM as a tool description.
-
queryDescriptionstringrequired -
Description of query field used to fetch Knowledge Base content. Passed to the LLM as part of the tool input schema.
Responses
Successful request returning the updated Knowledge Base Entry.
type: document
type: index
-
usersobject[]required -
Users who have access to the Knowledge Base Entry, defaults to current user. Empty array provides access to all users.
-
idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters.
-
descriptionstringrequired -
Description for when this index or data stream should be queried for Knowledge Base content. Passed to the LLM as a tool description.
-
queryDescriptionstringrequired -
Description of query field used to fetch Knowledge Base content. Passed to the LLM as part of the tool input schema.